/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/13
*描  述:  ADC演示主程序
          自动转换比较功能，采用12位分辨率，当转换结果不在阈值范围内将点亮LED1，采样的平均值通过UART0发出
          连线：
          PA22 - TXD
          PA23 - RXD
          PB9  - AD
          使用本例程时，可连接通用开发板HRSDK-GMB-01
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main()
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);
    SystemInit();
    DeviceClockAllEnable();
    User_SysTickInit();

    /* 初始化UART、ADC及LED */
    UARTInit();
    ADCInit();
    LightInit(LED1_PIN);

    /* 配置自动比较功能，启动ADC */
    ADCACPConfig();
    ADC_Start();

    while (1)
    {
        Delay_100us(10000);
        UARTSendData(meanvalue);
    }
}
