/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/25
*描  述:  ADC演示主程序
          软件控制ADC，分辨率8位，通过UART0将16次采样的平均值发出
          连线：
          PA22 - TXD
          PA23 - RXD
          PB9  - AD
          使用本例程时，可连接通用开发板HRSDK-GMB-01
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main()
{
    uint16_t ADC_Result;

    HRC_Config(Enable, SCU_HRC_48M, Enable);
    SystemInit();
    User_SysTickInit();
    ADCInit();
    UARTInit();

    while (1)
    {
        ADC_Result = ADCRead();
        Delay_100us(10000);
        UARTSendData(ADC_Result);
    }
}
