/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/20
*描  述:  LVD示例程序
          降低供电电压，每当LVD检测低于4.1V电压LED1点亮一次
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();
    User_SysTickInit();

    LightInit(LED1_PIN);
    LightInit(LED2_PIN);
    LightOn(LED1_PIN);
    Delay_100us(30000);

    SCU_RegUnLock();
    SCU_LVDVS_4V1();
    SCU_LVDFLT_Enable();
    SCU_LVDIFS_Rise();      /* LVDO上升沿产生中断 */
    SCU_LVD_Enable();
    SCU_LVDIT_Enable();
    SCU_RegLock();
    NVIC_Init(NVIC_LVD_IRQn, NVIC_Priority_1, Enable);

    while (1)
    {
		Delay_100us(10000);
		LightOff(LED1_PIN);
		Delay_100us(10000);
    }
}
