/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/20
*描  述:  PWM触发ADC示例程序
          T16N2输出同步PWM波形，使用PWM调制模式触发ADC，将ADC的结果通过UART发送到上位机
          连线：
          PA10 - T16N2_0
          PA11 - T16N2_1
          PB9 - ADC
          PA22 - RXD
          PA23 - TXD
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

volatile uint32_t g_ad_result;
volatile uint8_t  g_1s_flag;

int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

    UARTInit();
    ADCInit();

    T16N2Init();
    T16N3Init();

    while (1)
    {
        if (g_1s_flag == 1)
        {
            g_1s_flag = 0x0;
            UARTSendData(g_ad_result);
        }
    }
}

