#include "irqhandler.h"

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1);
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{

}

/*********************************************************
函数名: void T16N2_IRQHandler(void)
描  述: T16N2中断处理函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void T16N2_IRQHandler(void)
{
    if ((T16Nx_GetFlagStatus(T16N2, T16Nx_IT_MAT1) == SET) && (T16Nx_GetITStatus(T16N2, T16Nx_IT_MAT1) == SET))
    {
        T16Nx_ClearITPendingBit(T16N2, T16Nx_IT_MAT1);
    }
}

/*********************************************************
函数名: void T16N3_IRQHandler(void)
描  述: T16N3定时中断函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void T16N3_IRQHandler(void)
{
    if ((T16Nx_GetFlagStatus(T16N3, T16Nx_IT_MAT0) == SET) && (T16Nx_GetITStatus(T16N3, T16Nx_IT_MAT0) == SET))
    {
        static uint8_t s_count = 0x0U;

        T16Nx_ClearITPendingBit(T16N3, T16Nx_IT_MAT0);

        s_count++;

        if (s_count >= 4)
        {
            s_count = 0;
            g_1s_flag = 1;
        }
    }

    return;
}

/*********************************************************
函数名: void ADC_IRQHandler(void)
描  述: ADC中断处理
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void ADC_IRQHandler()
{
    if ((ADC_GetIFStatus(ADC_IF) == SET) && (ADC_GetIEStatus(ADC_IE) == SET))
    {
        g_ad_result = ADC_GetConvValue();
        ADC_ClearIFStatus(ADC_IF);
    }
}

