/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.01
*日  期:  2021/05/19
*描  述:  16位调制器示例程序
          当管脚PA1发生外部端口中断时，PA4、PA8引脚输出PWM占空比发生变化，PA5始终输出固定占空比的PWM波形
          PB1为参考信号，当中断程序更改PWM参数时，输出电平发生反转，用于使用示波器的边沿触发来捕捉波形
		  其中T16N0缓冲寄存器使能，PA4的PWM输出变化将发生在当前周期结束后
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

    T16NxInit();
	PINTx_Init();
	OutPutRefPin_Init();

    while (1)
    {
    }
}

