/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/21
*描  述:  深度睡眠功耗分析示例程序
*			需使用ES-Burner修改配置字，禁止Debug，例程测试时，功耗最低1.2uA
*			进入休眠前，LED亮一秒
*			外部端口中断唤醒，端口PA1
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
	HRC_Config(Enable, SCU_HRC_48M, Enable);	/* 配置HRC时钟频率 */
	SystemInit();     
	DeviceClockAllEnable();
	User_SysTickInit();
	
	/* 除PINT外，所有IO口输入输出均关闭 */
	GPIOInit();
	PINTx_Init();
	
	while (1)
	{
		/* LED1亮一秒 */
		LightInit(LED1_PIN);
		LightOn(LED1_PIN);
		Delay_100us(10000);		

		deep_sleep();
		Delay_100us(30000);
	}
}
