/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  gpio.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/13
*描  述:  外部端口中断配置程序
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "gpio.h"

/***************************************************************
 函数名：void PINT1_Init(void)
 描  述：端口中断初始化函数
 输入值：无
 输出值：无
 返回值：无
***************************************************************/
void PINT1_Init(GPIO_Pin Pin)
{
    GPIO_InitSettingType x;
    PINT_InitSettingType y;

    x.Signal = GPIO_Pin_Signal_Digital;
    x.Dir = GPIO_Direction_Input;
    x.Func = GPIO_Reuse_Func0;
    x.PUE = GPIO_PUE_Input_Disable;
    x.PDE = GPIO_PDE_Input_Enable;
    GPIO_Init(Pin, &x);

    y.IE_Set = PINT_IE_Set_Enable;
    y.Trigger_Style = PINT_Trigger_Rising_Edge;
    PINT_Init(Pin, &y);
    NVIC_Init(NVIC_PINT1_IRQn, NVIC_Priority_1, Enable);

    return;
}

/***************************************************************
 函数名：void OutPin_Init(GPIO_Pin Pin)
 描  述：输出管脚初始化
 输入值：无
 输出值：无
 返回值：无
***************************************************************/
void OutPin_Init(GPIO_Pin Pin)
{
	GPIO_InitSettingType x;
    x.Signal = GPIO_Pin_Signal_Digital;
    x.Dir = GPIO_Direction_Output;
    x.Func = GPIO_Reuse_Func0;
    x.ODE = GPIO_ODE_Output_Disable;
    x.DS = GPIO_DS_Output_Normal;
    x.PUE = GPIO_PUE_Input_Disable;
    x.PDE = GPIO_PDE_Input_Disable;
	
    GPIO_Init(Pin, &x);

    return;
}
