#include "irqhandler.h"

extern uint8_t g_sleep_flag;

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1)
    {
    }
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}

/*********************************************************
函数名: void PINT1_IRQHandler(void)
描  述: 端口中断处理函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void PINT1_IRQHandler(void)
{
    if ((PINT_GetITFlag(GPIO_Pin_A1) == SET) && (PINT_GetITStatus(GPIO_Pin_A1) == SET) && (PINT_GetPMASK(GPIO_Pin_A1) != SET))
    {
        PINT_ClearITFlag(GPIO_Pin_A1);
    }
}

/*********************************************************
函数名: void KINT_IRQHandler(void)
描  述: 按键中断处理函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void KINT_IRQHandler(void)
{
    if ((KINT_GetITFlag(GPIO_Pin_A3) == SET) && (KINT_GetITStatus(GPIO_Pin_A3) == SET) && (KINT_GetKMASK(GPIO_Pin_A3) != SET))
    {
        KINT_ClearITFlag(GPIO_Pin_A3);
    }
}

/***************************************************************
 描  述：IWDT_IRQHandler
 输入值：无
 返回值：无
***************************************************************/
void IWDT_IRQHandler(void)
{
	/* 产生喂狗中断标志则喂狗 */
	if (IWDT_GetFlagStatus())
		IWDT_Clear();
}
		
/***************************************************************
 描  LVD_IRQHandler
 输入值：无
 返回值：无
***************************************************************/
void LVD_IRQHandler(void)
{
    if ((SCU_GetLVDFlagStatus(SCU_LVDFlag_IF) != RESET) && (SCU_GetLVDFlagStatus(SCU_LVDFlag_IE) != RESET))
    {
        if ((SCU_LVDIFS_Get() != 0x2) && (SCU_LVDIFS_Get() != 0x3))
		{
			SCU_RegUnLock();
            SCU_LVDClearIFBit();
			SCU_RegLock();
		}
    }
}

