/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.01
*日  期:  2021/05/19
*描  述:  32位引脚捕捉器示例程序
          PA2，PA3引脚分别复用做T32N0IN0以及T32N0IN1，用于捕捉输入的上升沿信号
          当PA2捕捉到上升沿时熄灭LED1，当PA3捕捉到上升沿信号时点亮LED1
          buf00及buf01分别保存T32N0IN0以及T32N0IN1捕捉事件发生时，MAT0和MAT2以及MAT1和MAT3的值
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

uint32_t count00 = 0;
uint32_t buf00[50];
uint32_t count01 = 0;
uint32_t buf01[50];

int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

    T32NxInit();
    LightInit(LED1_PIN);
    LightOff(LED1_PIN);

    while (1)
    {
    }

}

