/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  timer.h
*作  者:  AE Team
*版  本:  V1.01
*日  期:  2021/05/19
*描  述:  Timer模块程序头文件
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "timer.h"

/*********************************************************
函数名: void T32NxInit(void)
描  述: T32Nx初始化
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void T32NxInit(void)
{
    T32Nx_BaseInitStruType x;

    x.T32Nx_ClkS   = T32Nx_ClkS_PCLK;
    x.T32Nx_Mode   = T32Nx_Mode_TC0;
    x.T32Nx_SYNC   = Disable;
    x.T32Nx_EDGE   = T32Nx_EDGE_Rise;
    x.T32Nx_PREMAT = 0x100;
    T32Nx_BaseInit(T32N0, &x);

    T32Nx_MAT0ITConfig(T32N0, T32Nx_Clr_Int);
    T32Nx_SetMAT0(T32N0, SystemCoreClock / 256); /* 定时1s */

    T32Nx_ITConfig(T32N0, T32Nx_IT_MAT0, Enable);
    NVIC_Init(NVIC_T32N0_IRQn, NVIC_Priority_1, Enable);

    T32Nx_Enable(T32N0);

    return;
}
