/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.01
*日  期:  2021/01/05
*描  述:  UART模块例程
            使用SecureCRT进行交互，
            现在SecureCRT中发送“？”来触发MCU的自动波特率检测，若检测成功将收到“auto baud detect success”，
            然后MCU等待上位机发送数据，并将接收到的数据再返回给上位机
            RXD - PA22
            TXD - PA23
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

uint8_t i;
uint8_t g_buffer;

int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

    UARTInit();

    while (1)
    {
    }
}

