#include "irqhandler.h"
#include "lib_config.h"
#include "uart.h"

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1);
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{

}


/*********************************************************
函数名: void UART0_IRQHandler(void)
描  述: UART中断服务程序
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void UART0_IRQHandler(void)
{
    if ((UART_GetITStatus(UART0, UART_IT_RB) != RESET) && (UART_GetFlagStatus(UART0, UART_FLAG_RB) != RESET))
    {
        if (synch && (0x0 == UART_AutoBaudResult(UART0)))
        {
            g_buffer = UART_RecByte(UART0);
        }
        else
        {
            uint8_t  i;
            uint8_t  data2send[30] = {"auto baud detect success \r"};

            synch = 0x01U;
            UART_RecByte(UART0);

            for (i = 0; i < 27; i++)
            {
                while (UART_GetFlagStatus(UART0, UART_FLAG_TB) == RESET);

                UART_SendByte(UART0, data2send[i]);
            }
        }

        UART_ITConfig(UART0, UART_IT_TB, Enable);               /* UART0发送中断使能 */
    }

    if ((UART_GetITStatus(UART0, UART_IT_TB) != RESET) && (UART_GetFlagStatus(UART0, UART_FLAG_TB) != RESET))
    {
        UART_SendByte(UART0, g_buffer);
        UART_ITConfig(UART0, UART_IT_TB, Disable);          /* UART0发送中断禁止 */
    }
}
