/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.01
*日  期:  2021/05/05
*描  述:  UART模块例程
            使用XCOM进行交互，MCU等待接收数据，当检测到空闲帧后，触发中断，接收Byte，发送相同Byte
            RXD - PA22
            TXD - PA23
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

volatile uint8_t idle_detect_flag = 0x0U;
uint8_t g_buffer;

int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

    UARTInit();

    while (1)
    {
        if (1 == idle_detect_flag)
        {
            idle_detect_flag = 0;
            UART_SendByte(UART0, g_buffer);
        }
    }
}


