#include "irqhandler.h"
#include "lib_config.h"

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1);
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{
    /* 用于10us定时器 */
    TimingDelay_Decrement();

    /* 用于计时发送数据的字节间隔 */
    if (g_tx_start_flag)
    {
        if (g_tx_time >= 20)
        {
            g_tx_finish_flag = 0;
            g_tx_start_flag = 0;
        }
        else
        {
            g_tx_time++;
        }
    }
    else
    {
        g_tx_time = 0x0U;
    }

    /* 用于计时接收数据的字节间隔 */
    if (g_rx_start_flag)
    {
        if (g_rx_time >= 20)
        {
            g_rx_finish_flag = 0;
            g_rx_start_flag = 0;
        }
        else
        {
            g_rx_time++;
        }
    }
    else
    {
        g_rx_time = 0x0U;
    }
}

/*********************************************************
函数名: void UART0_IRQHandler(void)
描  述: UART中断服务程序
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void UART0_IRQHandler(void)
{
    if ((UART_GetITStatus(UART0, UART_IT_TC) != RESET) && (UART_GetFlagStatus(UART0, UART_FLAG_TC) != RESET))
    {
        UART_ClearITPendingBit(UART0, UART_FLAG_TC);

        if ((g_tx_count >= g_tx_length) || (g_tx_time >= 20) || (g_tx_finish_flag >= 20))
        {
            g_tx_finish_flag = 0;
        }
		else
		{
			UART_SendByte(UART0, g_txbuf[g_tx_count++]);
			
			g_tx_start_flag = 0x1U;
			g_tx_time = 0x0U;
		}
    }

    if ((UART_GetITStatus(UART0, UART_IT_RB) != RESET) && (UART_GetFlagStatus(UART0, UART_FLAG_RB) != RESET))
    {
        g_rxbuf[g_rx_count] = UART_RecByte(UART0);
        g_rx_count++;

        g_rx_start_flag = 0x01U;
        g_rx_time = 0x0U;
    }
}

