/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:     main.c
*作  者:      AE Team
*版  本:  V1.01
*日  期:      2021/05/05
*描  述:      UART模块例程
            使用SecureCRT进行交互
            上电后MCU依次循环发送“hello word”，“welcome to essemi“以及循环次数
                 使用UART_printf函数前需要以下两个步骤：
                 1、keil勾选Use MicroLIB 2、IAR/keil #define __PRINTF_USE_UART0__
            RXD - PA22
            TXD - PA23
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main()
{
    uint8_t i = 0x0U;
    uint8_t buf[] = {"Welcome to essemi !"};

    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

    User_SysTickInit();
    UARTInit();

    while (1)
    {
        Delay_10us(100000);
        printf("Hello world! \r\n");
        Delay_10us(100000);
        printf("%s \r\n", buf);
        Delay_10us(100000);
        printf("cycle = %d \r\n", i);
        i++;
    }
}

