/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.01
*日  期:  2021/05/05
*描  述:  UART模块例程
            使用XCOM进行交互，MCU会先发送“essemi ！”给上位机，然后LED1开始闪烁等待上位机发送数据，并将接收到的数据再返回给上位机；
			测试时，可将RXD接地，LED1始终保持闪烁，恢复RXD时，使用XCOM发送数据给MCU，MCU将会回复相同的数据
            RXD - PA22
            TXD - PA23
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"
#include "string.h"

uint8_t i;
uint8_t g_buf[16] = {"essemi ! \n\r"};    /* 发送数据缓存 */
uint8_t g_buffer;

int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

	User_SysTickInit();
	LightInit(LED1_PIN);
	UARTInit();

    for (i = 0; i < 16; i++)
    {
        UART_SendByte(UART0, g_buf[i]);
        while (UART_GetFlagStatus(UART0, UART_FLAG_TC) == RESET);
        UART_ClearITPendingBit(UART0, UART_FLAG_TC);
    }
	
    while (1)
    {
		LightOff(LED1_PIN);
		Delay_100us(10000);
		LightOn(LED1_PIN);
		Delay_100us(10000);
    }
}

