/*********************************************************
*Copyright (C), 2015, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/01/12
*描  述:  WWDT演示主程序
          系统复位将产生LED1亮5S
          系统上电后点亮LED1持续亮5S，然后进入循环亮0.5秒灭0.5秒
          注意，MCU管脚PA2必须拉高，否则将会在窗口期内喂狗，产生系统复位
          端口引脚连接: PA2
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"


int main()
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

    User_SysTickInit();
    LightInit(LED1_PIN);
    LightOff(LED1_PIN);
    WDTInit();
    GPIO_Pins_Init();
    
    LightOn(LED1_PIN);
    Delay_100us(50000);

    while (1)
    {
        LightOff(LED1_PIN);
        Delay_100us(5000);

        if (WWDT_GetFlagStatus())
            WWDT_Clear();

        if (!GPIO_ReadBit(GPIO_Pin_A2))
            WWDT_Clear();

        LightOn(LED1_PIN);
        Delay_100us(5000);
    }
}
