/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  wdt.h
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/13
*描  述:  WDT函数文件
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "wdt.h"

/***************************************************************
 描  述：WDT初始化初始化
 输入值：无
 返回值：无
***************************************************************/
void WDTInit(void)
{
    WWDT_InitStruType x;

    x.WDT_Tms = 2000;
    x.WDT_IE = Enable;              /* WWDT中断使能 */
    x.WDT_Rst = Enable;             /* WWDT复位使能 */
    x.WDT_Clock = WWDT_CLOCK_WDT;   /* LRC */
    x.WDT_Win = WDT_WIN_75;         /* 75%窗口内禁止，窗口内喂狗将复位 */
    WWDT_Init(&x);

    /* 使能WWDT */
    WWDT_Enable();

    NVIC_Init(NVIC_WWDT_IRQn, NVIC_Priority_2, Enable);
}
