/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/20
*描  述:  XTAL程序
          本例程需根据实际使用的晶振，使用ESBurner修改配置字XTAL（默认使用PB8，PB9，8M晶振即可）
          该例程需要在PB10，PB11焊接8M晶振，不要使用母板（母板连接线路会对晶振产生影响），只需要使用子板即可
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"


int main(void)
{
    SystemInit();
    SCU_OpenXTAL();
    SCU_SysClkSelect(SCU_CLK_XTAL);
    /* 如使用其他规格晶振须修改此处 */
    SystemCoreClock = 8000000;
    DeviceClockAllEnable();

    User_SysTickInit();
    LightInit(LED1_PIN);
    LightOff(LED1_PIN);

    while (1)
    {
        LightOn(LED1_PIN);
        Delay_100us(10000);
        LightOff(LED1_PIN);
        Delay_100us(10000);
    }
}
